> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Log Own Time



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/time-log/entries
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/time-log/entries:
    post:
      tags:
        - Time Log
      summary: Log Own Time
      operationId: TimeLogController_logOwnTime_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LogTimeDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimeEntryResponseDto'
components:
  schemas:
    LogTimeDto:
      type: object
      properties:
        projectId:
          type: string
        phase:
          type: string
          enum:
            - pre_design
            - programming
            - schematic_design
            - design_development
            - construction_documents
            - bidding_negotiation
            - procurement
            - construction_administration
            - installation
            - closeout
            - general
        date:
          type: string
          format: date
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
        hours:
          type: string
          pattern: ^(?!0+(?:\.0{1,2})?$)\d{1,2}(?:\.\d{1,2})?$
        note:
          type: string
          maxLength: 1000
        billable:
          type: boolean
      required:
        - projectId
        - phase
        - date
        - hours
      additionalProperties: false
    TimeEntryResponseDto:
      type: object
      properties:
        id:
          type: string
        projectId:
          type: string
        phase:
          type: string
          enum:
            - pre_design
            - programming
            - schematic_design
            - design_development
            - construction_documents
            - bidding_negotiation
            - procurement
            - construction_administration
            - installation
            - closeout
            - general
        date:
          type: string
        hours:
          type: string
        note:
          type: string
          nullable: true
        billable:
          type: boolean
        version:
          type: number
      required:
        - id
        - projectId
        - phase
        - date
        - hours
        - note
        - billable
        - version

````